ServerConfigAudit (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.session.ServerConfigAudit class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.session
Class ServerConfigAudit

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.common.server.session.Audit
              org.hyperic.hq.common.server.session.ServerConfigAudit

All Implemented Interfaces:
  java.io.Serializable

    public class ServerConfigAudit

extends Audit

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ServerConfigAudit.ServerConfigAuditPurpose`

Field Summary
`static ServerConfigAudit.ServerConfigAuditPurpose` | `CONFIG_UPDATE`

Constructor Summary
`protected` | `ServerConfigAudit()`

Method Summary
`static ServerConfigAudit` | `updateAlertNotificationsEnabled(AuthzSubject user, boolean newVal, boolean old)`
`static ServerConfigAudit` | `updateAlertPurgeInterval(AuthzSubject user, int newVal, int old)`
`static ServerConfigAudit` | `updateAlertsEnabled(AuthzSubject user, boolean newVal, boolean old)`
`static ServerConfigAudit` | `updateAnnounce(AuthzSubject user, UpdateStatusMode newVal, UpdateStatusMode old)`
`static ServerConfigAudit` | `updateBaseURL(AuthzSubject user, java.lang.String newVal, java.lang.String old)`
`static ServerConfigAudit` | `updateDBMaint(AuthzSubject user, int newVal, int old)`
`static ServerConfigAudit` | `updateDeleteDetailed(AuthzSubject user, int newVal, int old)`
`static ServerConfigAudit` | `updateEventPurgeInterval(AuthzSubject user, int newVal, int old)`
`static ServerConfigAudit` | `updateExternalHelp(AuthzSubject user, boolean newVal, boolean old)`
`static ServerConfigAudit` | `updateFromEmail(AuthzSubject user, java.lang.String newVal, java.lang.String old)`
`static ServerConfigAudit` | `updateHierarchicalAlertingEnabled(AuthzSubject user, boolean newVal, boolean old)`

Methods inherited from class org.hyperic.hq.common.server.session.Audit
`equals, formatHtmlMessage, getChildren, getChildrenBag, getEndTime, getFieldName, getHtmlMessage, getImportance, getImportanceEnum, getKlazz, getMessage, getNature, getNatureEnum, getNewFieldValue, getOldFieldValue, getParent, getPurpose, getPurposeEnum, getResource, getStartTime, getSubject, hashCode, isOriginal, setChildrenBag, setEndTime, setFieldName, setImportanceEnum, setKlazz, setMessage, setNatureEnum, setNewFieldValue, setOldFieldValue, setOriginal, setParent, setPurposeEnum, setResource, setStartTime, setSubject, toString`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_UPDATE

    public static final ServerConfigAudit.ServerConfigAuditPurpose CONFIG_UPDATE

Constructor Detail

### ServerConfigAudit

    protected ServerConfigAudit()

Method Detail

### updateBaseURL

    public static ServerConfigAudit updateBaseURL(AuthzSubject user,
                                                  java.lang.String newVal,
                                                  java.lang.String old)

### updateFromEmail

    public static ServerConfigAudit updateFromEmail(AuthzSubject user,
                                                    java.lang.String newVal,
                                                    java.lang.String old)

### updateAnnounce

    public static ServerConfigAudit updateAnnounce(AuthzSubject user,
                                                   UpdateStatusMode newVal,
                                                   UpdateStatusMode old)

### updateExternalHelp

    public static ServerConfigAudit updateExternalHelp(AuthzSubject user,
                                                       boolean newVal,
                                                       boolean old)

### updateDBMaint

    public static ServerConfigAudit updateDBMaint(AuthzSubject user,
                                                  int newVal,
                                                  int old)

### updateDeleteDetailed

    public static ServerConfigAudit updateDeleteDetailed(AuthzSubject user,
                                                         int newVal,
                                                         int old)

### updateAlertPurgeInterval

    public static ServerConfigAudit updateAlertPurgeInterval(AuthzSubject user,
                                                             int newVal,
                                                             int old)

### updateEventPurgeInterval

    public static ServerConfigAudit updateEventPurgeInterval(AuthzSubject user,
                                                             int newVal,
                                                             int old)

### updateAlertsEnabled

    public static ServerConfigAudit updateAlertsEnabled(AuthzSubject user,
                                                        boolean newVal,
                                                        boolean old)

### updateAlertNotificationsEnabled

    public static ServerConfigAudit updateAlertNotificationsEnabled(AuthzSubject user,
                                                                    boolean newVal,
                                                                    boolean old)

### updateHierarchicalAlertingEnabled

    public static ServerConfigAudit updateHierarchicalAlertingEnabled(AuthzSubject user,
                                                                      boolean newVal,
                                                                      boolean old)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.